package client.auctionsystem;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import javax.ejb.EJB;

import common.auctionsystem.services.interfaces.ServiceInterface;

public class Main {
 private static BufferedReader keyboard;
 private static String command;
 @EJB private static ServiceInterface serviceInterface;
 private static void usage() {
		System.out.println("0) exit");
		System.out.println("1) serviceInterface");
 }
 private static void menu() {
		usage();
		keyboard = new BufferedReader(new InputStreamReader(System.in));
		try {
			while(!(command = keyboard.readLine()).equals("exit")) {
				if(command.equals("1") || command.equals("serviceInterface")) {
					serviceInterfaceMenu();
				} else if(command.equals("0") || command.equals("exit")) {
					System.out.println("That's it folks!");
					System.exit(1);
				} else {
					System.out.println("Wrong command");
					usage();
					continue;
				}
			}
		} catch(Exception e) {
			System.out.println(e.getMessage());
			System.exit(1);
		}
 }
 private static void serviceInterfaceUsage() {
		System.out.println(" 0) exit");
		System.out.println(" 1) createContainer");
		System.out.println(" 2) containerToString");
 }
 private static void serviceInterfaceMenu() {
		serviceInterfaceUsage();
		keyboard = new BufferedReader(new InputStreamReader(System.in));
		try {
			while(!(command = keyboard.readLine()).equals("exit")) {
				if(command.equals("1") || command.equals("createContainer")) {
					System.out.print("containeeDescription: ");
					String containeeDescription = keyboard.readLine();
     serviceInterface.createContainer(
						(int) (10000*Math.random()),
						containeeDescription
						);
					System.out.println("created container with containeeDescription " + containeeDescription);
					serviceInterfaceUsage();
				} else if(command.equals("2") || command.equals("containerToString")) {
					System.out.print("containerId: ");
					Integer containerId = new Integer(keyboard.readLine());
					System.out.println(
						serviceInterface.containerToString(containerId)
						);
				} else if(command.equals("0") || command.equals("exit")) {
					menu();
				} else {
					System.out.println("Wrong command");
					serviceInterfaceUsage();
					continue;
				}
			}
		} catch(Exception e) {
			System.out.println(
				"severe exception \"[ " + e.getMessage() + " ]\""
				);
			System.exit(1);
		}
 }
 public static void main(String... args) {
		menu();
 }
}